// 类目-列表查询
export const helpCategoryList = {
  url: '/help/category/list',
  method: 'GET',
  dealReqData: ({ pageNum, pageSize }) => {
    return { pageNum, pageSize }
  }
}
// 类目-列表查询
export const helpInfoList = {
  url: '/help/info/list',
  method: 'GET',
  dealReqData: ({ pageNum, pageSize, keyWord }) => {
    return { pageNum, pageSize, keyWord }
  }
}
// 帮助中心-帮助-新增
export const addHelp = {
  url: '/help/info/save',
  method: 'POST',
  dealReqData: (saveDTO) => {
    return saveDTO
  }
}
// 帮助中心-帮助-新增
export const addCategory = {
  url: '/help/category/save',
  method: 'POST',
  dealReqData: (saveDTO) => {
    return saveDTO
  }
}
// 帮助中心-帮助-主键查询
export const searchInfoId = {
  url: `/help/info`,
  method: 'GET',
  dealUrl: (url, infoId) => {
    return `${url}/${infoId}`
  }
}
// 帮助中心-帮助-删除
export const deleteInfoId = {
  url: `/help/info/delete`,
  method: 'DELETE',
  dealUrl: (url, infoId) => {
    return `${url}/${infoId}`
  }
}
// 帮助中心-帮助-编辑
export const updateHelp = {
  url: '/help/info/update',
  method: 'PUT',
  dealReqData: ({ detail, helpCategoryId, infoId, title, updateTime }) => {
    return { detail, helpCategoryId, infoId, title, updateTime }
  }
}
